Page MenuHomePhabricator

recreate staging cluster namespaces using helmfile
Closed, ResolvedPublic

Description

because the way helm works it will refuse to modify an object that doesn't track so in order to keep namespace creation in code we should delete current namespaces and recreate them using helmfile.

  • blubberoid
  • ci
  • citoid
  • cxserver
  • eventgate-analytics
  • eventgate-main
  • mathoid
  • sessionstore
  • termbox
  • zotero
  • calico

Event Timeline

fsero created this task.Jul 11 2019, 1:30 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 11 2019, 1:30 PM
fsero claimed this task.Jul 11 2019, 1:31 PM
fsero updated the task description. (Show Details)Jul 12 2019, 11:59 AM
fsero updated the task description. (Show Details)

Mentioned in SAL (#wikimedia-operations) [2019-07-12T12:01:00Z] <fsero> recreating termbox staging namespace T227775

Mentioned in SAL (#wikimedia-operations) [2019-07-12T12:06:58Z] <fsero> recreating citoid staging namespace T227775

Mentioned in SAL (#wikimedia-operations) [2019-07-12T12:11:37Z] <fsero> recreating sessionstore,cxserver and mathoid staging namespaces T227775

Mentioned in SAL (#wikimedia-operations) [2019-07-12T12:22:56Z] <fsero> recreating eventgate-* and blubberoid staging namespaces T227775

Mentioned in SAL (#wikimedia-operations) [2019-07-12T12:39:46Z] <fsero> recreating ci staging namespaces T227775

Change 523580 had a related patch set uploaded (by Fsero; owner: Fsero):
[operations/deployment-charts@master] Capture calico deployment in code.

https://gerrit.wikimedia.org/r/523580

fsero triaged this task as Normal priority.Jul 16 2019, 2:32 PM
fsero updated the task description. (Show Details)
fsero moved this task from Backlog to Doing on the serviceops board.

Change 523580 merged by Fsero:
[operations/deployment-charts@master] Capture calico deployment in code.

https://gerrit.wikimedia.org/r/523580

Change 524492 had a related patch set uploaded (by Fsero; owner: Fsero):
[operations/puppet@production] helmfile,deploy: bug: secrets.yaml should be inside private folder

https://gerrit.wikimedia.org/r/524492

Change 524492 merged by Fsero:
[operations/puppet@production] helmfile,deploy: bug: secrets.yaml should be inside private folder

https://gerrit.wikimedia.org/r/524492

Mentioned in SAL (#wikimedia-operations) [2019-07-19T10:53:43Z] <fsero> deploying calico from helmfile in staging T227775

fsero closed this task as Resolved.Jul 19 2019, 3:51 PM
fsero updated the task description. (Show Details)